GET /v1/payment/{payment_id}

nowpayments.io

Summary: Get payment status
Operation ID: getPaymentStatus
Auth: unknown
Description

Get the actual information about the payment. You need to provide the ID of the payment in the request. NOTE! You should make the get payment status request with the same API key that you used in the create payment request. Here is the list of avalable statuses: - waiting - waiting for the customer to send the payment. The initial status of each payment. - confirming - the transaction is being processed on the blockchain. Appears when NOWPayments detect the funds from the user on the blockchain. - confirmed - the process is confirmed by the blockchain. Customer’s funds have accumulated enough confirmations. - sending - the funds are being sent to your personal wallet. We are in the process of sending the funds to you. - partially_paid - it shows that the customer sent the less than the actual price. Appears when the funds have arrived in your wallet. - finished - the funds have reached your personal address and the payment is finished. - failed - the payment wasn't completed due to the error of some kind. - refunded - the funds were refunded back to the user. - expired - the user didn't send the funds to the specified address in the 24 hour time window. Additional info: - outcome_amount - this parameter shows the amount that will be (or is already) received on your Outcome Wallet once the transaction is settled. - outcome_currency - this parameter shows the currency in which the transaction will be settled. - invoice_id - this parameter shows invoice ID from which the payment was created

Parameters (2)

payment_id (string, path, required)
x-api-key (string, header, optional)

No probe data for this endpoint yet.